/*
 * xjup.c: routines specific to the X version of the saturn program.
 *
 * Copyright 2002 by Akkana Peck.
 * You are free to use or modify this code under the Gnu Public License.
 */

#include "shallow.h"
#include "xgrfx.h"

extern void DrawJupiter(int Xmax, int Ymax, double Scale,
                        int flipNS, int flipEW, int fill,
                        RGBColorType* fg, RGBColorType* bg,
                        RGBColorType* red, RGBColorType* orange,
                        RGBColorType* yellow);

RGBColorType orange, red, yellow;

double WIDESCALE = .05;
double NARROWSCALE = .3;

void RedrawScreen()
{
    ClearScreen();
    DateLabel(5, YWinSize-15, julianDate);
    DrawJupiter(XWinSize, YWinSize, Scale, flipNS, flipEW, 1,
                &white, &black, &red, &orange, &yellow);
}

void InitColors()
{
    XColor color, exact;
    if (!XAllocNamedColor(display,
                          DefaultColormap(display, screen),
                          "orange", &color, &exact))
        printf("Can't allocate orange\n");
    orange = color.pixel;

    if (!XAllocNamedColor(display,
                          DefaultColormap(display, screen),
                          "red", &color, &exact))
        printf("Can't allocate red\n");
    red = color.pixel;

    if (!XAllocNamedColor(display,
                          DefaultColormap(display, screen),
                          "yellow", &color, &exact))
        printf("Can't allocate yellow\n");
    yellow = color.pixel;

    Scale = WIDESCALE;
}
