/*
 * xsat.c: routines specific to the X version of the saturn program.
 *
 * Copyright 2002 by Akkana Peck.
 * You are free to use or modify this code under the Gnu Public License.
 */

#include "shallow.h"
#include "xgrfx.h"

extern int XWinSize, YWinSize;
extern double Scale;
double WIDESCALE = 160/3500000.;
double NARROWSCALE = 160/1000000.;

extern void DrawSaturn(int Xmax, int Ymax, double Scale,
                       int flipNS, int flipEW,
                       RGBColorType* skyC, RGBColorType* planetC);

void RedrawScreen()
{
    if (Scale == 0)
        Scale = NARROWSCALE;
    ClearScreen();
    DateLabel(5, YWinSize-15, julianDate);
    DrawSaturn(XWinSize, YWinSize, Scale, flipNS, flipEW, &black, &white);
}

void InitColors()
{
}

